package com.zcloud.primeport.api;

import com.zcloud.primeport.dto.VehicleDockLogAddCmd;
import com.zcloud.primeport.dto.VehicleDockLogPageQry;
import com.zcloud.primeport.dto.VehicleDockLogUpdateCmd;
import com.zcloud.primeport.dto.clientobject.VehicleDockLogCO;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;

import java.util.List;

/**
 * web-client
 *
 * @Author dearLin
 * @Date 2026-04-14 14:53:30
 */
public interface VehicleDockLogServiceI {
    VehicleDockLogCO queryById(Long id);

    PageResponse<VehicleDockLogCO> listPage(VehicleDockLogPageQry qry);

    SingleResponse<VehicleDockLogCO> add(VehicleDockLogAddCmd cmd);

    void edit(VehicleDockLogUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(List<Long> ids);
}

